//Tableau coordonnées, ligne 0:noms, ligne 1:positions, ligne 2:calibrage
var coord = [["beta","gamma"],[0,0],[0,0]];


/*--------------------------------------------------*/
//Calibrage calibre (met à zéro) l'appareil dans la position actuelle
function calibrage()
{
    for (var i=0; i!=2; i++)
        coord[2][i] = coord[1][i]/2 + coord[2][i];
}

//Active le mode basique (affiche les commandes) et coupe le listener sur l'orientation
function modeBasique()
{
    clearTimeout(timer_joy);
    document.querySelector("#controles").style.display="block";
    document.querySelector("#coord").style.display="none";
//    window.removeEventListener("deviceorientation",actualiser,false);
}

//Inverse de la fonction modeBasique
function modeTotal()
{
    document.querySelector("#controles").style.display="none";
    document.querySelector("#coord").style.display="block";
//    window.addEventListener("deviceorientation",actualiser,false);
    joyhandler();
}

function valAngle(){
    //var res = (-Math.round(coord[1][0]));
	return Math.atan2(coord[1][1], coord[1][0]);
}

function valRadius(){
    //var res = Math.round(coord[1][1])*3;
	var x = coord[1][0];
	var y = coord[1][1];
	return Math.sqrt(x*x+y*y);
}

var vala = valAngle();
var valr = valRadius();

//Actualiser actualise les valeurs des angles de positions de l'appareil
function actualiser(event)
{
    coord[1][0] = (-event.gamma - coord[2][0])*2;
    coord[1][1] = (event.beta - coord[2][1])*2;
    document.getElementById("beta").innerHTML=-Math.round(coord[1][0]);
    document.getElementById("gamma").innerHTML=Math.round(coord[1][1]);
}

window.addEventListener("deviceorientation",actualiser,false);
